# Command: setguard

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    setguard - limit the number of interpreter cycles
      Synopsis:  n setguard -> --

Examples:

Description:

    This command forces the interpreter to stop after
      it has performed n cycles. setguard is useful for testing programs
      with long running loops.

Parameters:

    n : an integer argument greater than zero

Bugs:

Remarks:

    not part of PostScript

References:

Author:

    Gewaltig

FirstVersion:

    ?

SeeAlso:

- removeguard

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/slicontrol.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative